API referenceOfficial · Sell Orders

List items on sale

Returns items currently listed for sale by the current BUFF account.

GET/api/market/developer/sell_order/on_sale

Returns items currently listed for sale by the current BUFF account.

AuthorizationBearer <token>

BUFF developer API token. Send it as Authorization: Bearer <token>.

In: header

Query Parameters

game*"cs2"

Game identifier.

Value in

  • "cs2"
steamid?string

Filter by a Steam ID linked to the current BUFF account.

min_price?number

Minimum price (yuan, up to 2 decimal places)

Range0 <= value
max_price?number

Maximum price (yuan, up to 2 decimal places)

min_paintwear?number

Minimum paintwear

Range0 <= value <= 1
max_paintwear?number

Maximum paintwear

Range0 <= value <= 1
search?string

Fuzzy search by item name

sort_by?string

Sort order

Value in

  • "price.asc"
  • "price.desc"
  • "updated.asc"
  • "updated.desc"
  • "paintwear.asc"
  • "paintwear.desc"
  • "float.asc"
  • "float.desc"
page_num?integer

Page number

Default1
page_size?integer

Items per page

Default10

Response Body

application/json

curl -X GET "https://example.com/api/market/developer/sell_order/on_sale?game=cs2"
{  "code": 200,  "data": {    "items": [      {        "allow_alipay_zft": true,        "allow_epay": true,        "allow_pending_divide_balance": false,        "asset_info": {          "assetid": "10000000001",          "classid": "7104639705",          "contextid": 2,          "goods_id": 1116856,          "id": "M1000000001",          "info": {            "fraudwarnings": null,            "icon_url": "https://example.com/icon.png",            "inspect_info": {},            "keychains": [],            "original_icon_url": "https://example.com/original_icon.png",            "paintindex": null,            "paintseed": null,            "stickers": [],            "tournament_tags": [              {                "category": "tournament",                "internal_name": "tournament24"              },              {                "category": "tournamentteam",                "internal_name": "team134"              },              {                "category": "proplayer",                "internal_name": "wicadia"              }            ]          },          "instanceid": "188530139",          "paintwear": ""        },        "can_bargain": true,        "can_bargain_swap": true,        "cannot_bargain_reason": "",        "description": "",        "force_buyer_send_offer": false,        "game": "csgo",        "goods_id": 1116856,        "id": "4037514739-B011-152464129",        "price": "0.02",        "recent_average_duration": null,        "recent_deliver_rate": null,        "sticker_premium": null,        "user_id": "U1000000001"      }    ],    "total_count": 42,    "page_num": 1,    "page_size": 50,    "total_page": 1  }}